﻿using System.Reflection;
using HugeFlow.MVVM;
using System.Collections.Generic;
using AboutPage.Models;
using HugeFlow.CommandPattern;
using System.Windows.Input;
using Microsoft.Phone.Tasks;

namespace AboutPage.ViewModels
{
    public class AboutPageViewModel : ViewModelBase
    {
        public string Version { get; set; }

        public string SiteAddress { get; set; }

        public string CompanyName { get; set; }

        public string Year { get; set; }

        public string Email { get; set; }

        #region AppList
        private List<AppList> _appList;
        /// <summary>
        /// 
        /// </summary>
        public List<AppList> AppList
        {
            get
            {
                return _appList;
            }
            set
            {
                _appList = value;
                OnPropertyChanged("AppList");
            }
        }
        #endregion AppList

        
#region AppListClick

        /// <summary>
        /// AppListClick InstantCommand for ViewModel
        /// </summary>
        private ICommand _AppListClickCommand;
        public ICommand AppListClickCommand
        {
            get
            {
                return _AppListClickCommand;
            }
            set
            {
                _AppListClickCommand = value;
                OnPropertyChanged("AppListClickCommand");
            }
        }

        public void AppListClick(AppList param)
        {  		    
            MarketplaceDetailTask mt = new MarketplaceDetailTask();
            mt.ContentType = MarketplaceContentType.Applications;
            mt.ContentIdentifier = param.AppId;
            mt.Show();
        }        
#endregion AppListClick        


        public AboutPageViewModel()
        {
            AppListClickCommand = new InstantCommand<AppList>(AppListClick);
            Assembly assem = System.Reflection.Assembly.GetExecutingAssembly();
            AssemblyName assemblyName = new AssemblyName(assem.FullName);
            Version = assemblyName.Version.ToString(3);
            //SiteAddress = ApplicationStrings.AboutSiteAddress;
            //CompanyName = ApplicationStrings.AboutCompanyName;
            //Year = ApplicationStrings.AboutYear;

             var list=  new List<AppList>();
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" , AppId="d04f84f4-ea1e-e011-9264-00237de2db9e" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app this is the best app this is the best app this is the best app" ,AppId = "5b45f0e5-ac23-e011-854c-00237de2db9e"});
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app",AppId = "b0352f4c-af1e-e011-9264-00237de2db9e"});
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             list.Add(new AppList() { Name = "Fortune Coin", Description = "this is the best app" });
             AppList = list;
        }
       
    }
}
